News:

Simutrans Chat Room
Where cool people of Simutrans can meet up.

Error on startup

Started by gabars, July 15, 2015, 09:09:26 PM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

gabars

Hi, I finally managed to compile Simutrans experimental on linux mint, and I can't use pak.64-experimental. I get an in-game popup that says
"FATAL_ERROR: convoi_t::convoi_t() - Can't load vehicle type 8
Aborting program execution..."

It's not always 8, I think I've seen some below 0 too, it disappears quickly so I had to take a screenshot.

I used version 0.4 of pak64-experimental (http://forum.simutrans.com/index.php?topic=9479.0) post is from 2012, is it really the latest version? and I compiled with gcc 4.8.4, mixer_sdl (also tried sdl and allegro) and no threads. I think the bug has to do with the pak though because pak.128 Britain experimental works.

Feel free to ask for more details, and help would be appreciated trying to get this to work.
Cheers! ;)

jamespetts

Where did you compile from? This pakset is not maintained any longer so far as I am aware, which is why it seems out of date.
Download Simutrans-Extended.

Want to help with development? See here for things to do for coding, and here for information on how to make graphics/objects.

Follow Simutrans-Extended on Facebook.